
/*
Hacer un ejercicio donde se haga uso del tipo enumerativo. Vas a trabajar con días de 
la semana (lunes, martes,....)Inventateló tu mismo.
*/

#include <conio.h>
#include <stdio.h>
#include <ctype.h>
#include <dos.h>

void main(void)
{
  enum week {lunes,martes,miercoles,jueves, viernes, sabado,domingo};
  char opcion;
  enum booleano {true, false};
  enum booleano repetir;
  enum week semana;

   
   do
   {
	   clrscr();   
	   repetir=false;
	   printf("¿A qué día de la semana nos encontramos?\n");   
	   printf("(L) Lunes\n");
	   printf("(M) Martes\n");
	   printf("(X) Miércoles\n");
	   printf("(J) Jueves\n");
	   printf("(V) Viernes\n");
	   printf("(S) Sábado\n");
	   printf("(D) Domingo\n");
	   opcion=getche();

	   
	   opcion=toupper(opcion);
	   
	   switch (opcion)
	   {
	   	case 'L': semana=lunes;		break;
	   	case 'M': semana=martes;	break;
	   	case 'X': semana=miercoles;break;
	   	case 'J': semana=jueves;	break;
	   	case 'V': semana=viernes;	break;
	   	case 'S': semana=sabado;	break;
	   	case 'D': semana=domingo;	break;
		default:
				{
				 printf("  Opción Incorrecta");
				 repetir=true;
				 sound(500);
				 delay(500);
				 nosound();
				 delay(1500);
				}
  		}
   	
   }
 while (repetir==true);

   printf("\n\n");
   printf("El día de la semana elegido es: ");

   switch  (semana)
   {
	case lunes		: printf("lunes."); break;
	case martes		: printf("martes."); break;
	case miercoles	: printf("miercoles."); break;
	case jueves		: printf("jueves."); break;
	case viernes	: printf("viernes."); break;
	case sabado		: printf("sabado."); break;
	case domingo	: printf("domingo."); break;
   }

}
